Bug 166178 - lvcreate fails for stripe size < 16
lvcreate fails for stripe size < 16
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: lvm2 (Show other bugs)
4.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Alasdair Kergon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-17 15:49 EDT by Dean Jansa
Modified: 2010-07-07 04:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-07 04:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dean Jansa 2005-08-17 15:49:42 EDT
Note, summary is correct for this example, however we see a different behaviour
on a different system.  Will add that output as a seperate add.

ia64:


[root@link-13 STS]# uname -ar
Linux link-13 2.6.9-16.EL #1 SMP Mon Aug 15 20:08:15 EDT 2005 ia64 ia64 ia64
GNU/Linux


[root@link-13 STS]# rpm -qa | grep lvm
lvm2-2.01.14-1.0.RHEL4
lvm2-cluster-2.01.14-1.0.RHEL4

-----------

[root@link-13 STS]# pvscan
  PV /dev/sdb1   VG stripe_8_4096_4   lvm2 [132.00 GB / 132.00 GB free]
  PV /dev/sdb2   VG stripe_8_4096_4   lvm2 [132.00 GB / 132.00 GB free]
  PV /dev/sdc1   VG stripe_8_4096_4   lvm2 [84.00 GB / 84.00 GB free]
  PV /dev/sdc2   VG stripe_8_4096_4   lvm2 [84.00 GB / 84.00 GB free]
  PV /dev/sdd1   VG stripe_8_4096_4   lvm2 [116.00 GB / 116.00 GB free]
  PV /dev/sdd2   VG stripe_8_4096_4   lvm2 [116.00 GB / 116.00 GB free]
  PV /dev/sde1   VG stripe_8_4096_4   lvm2 [116.00 GB / 116.00 GB free]
  PV /dev/sde2   VG stripe_8_4096_4   lvm2 [116.00 GB / 116.00 GB free]
  Total: 8 [896.00 GB] / in use: 8 [896.00 GB] / in no VG: 0 [0   ]

[root@link-13 STS]# pvdisplay
  --- Physical volume ---
  PV Name               /dev/sdb1
  VG Name               stripe_8_4096_4
  PV Size               132.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              33
  Free PE               33
  Allocated PE          0
  PV UUID               pmJisl-YPeG-wR1V-n42H-5sVS-eoIx-sTJK44

  --- Physical volume ---
  PV Name               /dev/sdb2
  VG Name               stripe_8_4096_4
  PV Size               132.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              33
  Free PE               33
  Allocated PE          0
  PV UUID               ee07Rt-UV8X-dQ1d-AxxE-KFgJ-RfOm-ldDusC

  --- Physical volume ---
  PV Name               /dev/sdc1
  VG Name               stripe_8_4096_4
  PV Size               84.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              21
  Free PE               21
  Allocated PE          0
  PV UUID               r7nItM-SdQS-HAed-TVBu-tYss-1c7z-wqEIJy

  --- Physical volume ---
  PV Name               /dev/sdc2
  VG Name               stripe_8_4096_4
  PV Size               84.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              21
  Free PE               21
  Allocated PE          0
  PV UUID               e6fRjG-ZiMA-Gmh1-OWBP-m6Js-zqWA-HWpILF

  --- Physical volume ---
  PV Name               /dev/sdd1
  VG Name               stripe_8_4096_4
  PV Size               116.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              29
  Free PE               29
  Allocated PE          0
  PV UUID               Pn78i7-BjCh-pYes-1Vpp-AUC3-9Dvr-oxgmBA

  --- Physical volume ---
  PV Name               /dev/sdd2
  VG Name               stripe_8_4096_4
  PV Size               116.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              29
  Free PE               29
  Allocated PE          0
  PV UUID               j334tY-aJ3j-xBsq-4T8H-XbY9-X6tr-rc2qRG

  --- Physical volume ---
  PV Name               /dev/sde1
  VG Name               stripe_8_4096_4
  PV Size               116.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              29
  Free PE               29
  Allocated PE          0
  PV UUID               4g3Djw-dQI2-QArx-9J0R-l0vS-tBOP-IjL9Q9

  --- Physical volume ---
  PV Name               /dev/sde2
  VG Name               stripe_8_4096_4
  PV Size               116.00 GB / not usable 0
  Allocatable           yes
  PE Size (KByte)       4194304
  Total PE              29
  Free PE               29
  Allocated PE          0
  PV UUID               AN3xpM-0aCp-vqEn-uDKu-OCRo-GJjc-Y4mOQQ


[root@link-13 STS]# vgscan
  Reading all physical volumes.  This may take a while...
  Found volume group "stripe_8_4096_4" using metadata type lvm2

[root@link-13 STS]#  vgdisplay
vgdisplay(32127): unaligned access to 0x60000000000327b9, ip=0x2000000003109ba0
  --- Volume group ---
  VG Name               stripe_8_4096_4
  System ID
  Format                lvm2
  Metadata Areas        8
  Metadata Sequence No  23
  VG Access             read/write
  VG Status             resizable
  Clustered             yes
  Shared                no
  MAX LV                0
  Cur LV                0
  Open LV               0
  Max PV                0
  Cur PV                8
  Act PV                8
  VG Size               896.00 GB
  PE Size               4.00 GB
  Total PE              224
  Alloc PE / Size       0 / 0
  Free  PE / Size       224 / 896.00 GB
  VG UUID               EfaAFq-jKPP-4q06-EIHw-36S2-VHT6-lqnt5C


[root@link-13 STS]# lvscan
[root@link-13 STS]#


[root@link-13 STS]#  lvcreate -l 168 --stripes 8 --stripesize 4 -n
stripe_8_4096_40 stripe_8_4096_4
  Invalid stripe size 8
  lvcreate: Create a logical volume

lvcreate
        [-A|--autobackup {y|n}]
        [--addtag Tag]
        [--alloc AllocationPolicy]
        [-C|--contiguous {y|n}]
        [-d|--debug]
        [-h|-?|--help]
        [-i|--stripes Stripes [-I|--stripesize StripeSize]]
        {-l|--extents LogicalExtentsNumber |
         -L|--size LogicalVolumeSize[kKmMgGtT]}
        [-M|--persistent {y|n}] [--major major] [--minor minor]
        [-m|--mirrors Mirrors]
        [-n|--name LogicalVolumeName]
        [-p|--permission {r|rw}]
        [-r|--readahead ReadAheadSectors]
        [-R|--regionsize MirrorLogRegionSize]
        [-t|--test]
        [--type VolumeType]
        [-v|--verbose]
        [-Z|--zero {y|n}]
        [--version]
        VolumeGroupName [PhysicalVolumePath...]

lvcreate -s|--snapshot
        [-c|--chunksize]
        [-A|--autobackup {y|n}]
        [--addtag Tag]
        [--alloc AllocationPolicy]
        [-C|--contiguous {y|n}]
        [-d|--debug]
        [-h|-?|--help]
        [-i|--stripes Stripes [-I|--stripesize StripeSize]]
        {-l|--extents LogicalExtentsNumber |
         -L|--size LogicalVolumeSize[kKmMgGtT]}
        [-M|--persistent {y|n}] [--major major] [--minor minor]
        [-n|--name LogicalVolumeName]
        [-p|--permission {r|rw}]
        [-r|--readahead ReadAheadSectors]
        [-t|--test]
        [-v|--verbose]
        [--version]
        OriginalLogicalVolume[Path] [PhysicalVolumePath...]


[root@link-13 STS]#  lvcreate -l 168 --stripes 8 --stripesize 4 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        Processing: lvcreate -l 168 --stripes 8 --stripesize 4 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        O_DIRECT will be used
      Setting global/locking_type to 2
      Setting global/locking_library to liblvm2clusterlock.so
      Setting global/library_dir to /usr/lib
      Opening shared locking library /usr/lib/liblvm2clusterlock.so
    Loaded external locking library liblvm2clusterlock.so
      External locking enabled.
      Getting target version for linear
        dm version   O
        dm versions   O
      Getting target version for striped
        dm versions   O
  Invalid stripe size 8
  lvcreate: Create a logical volume


## Again with stripesize == 8

[root@link-13 STS]#  lvcreate -l 168 --stripes 8 --stripesize 8 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        Processing: lvcreate -l 168 --stripes 8 --stripesize 8 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        O_DIRECT will be used
      Setting global/locking_type to 2
      Setting global/locking_library to liblvm2clusterlock.so
      Setting global/library_dir to /usr/lib
      Opening shared locking library /usr/lib/liblvm2clusterlock.so
    Loaded external locking library liblvm2clusterlock.so
      External locking enabled.
      Getting target version for linear
        dm version   O
        dm versions   O
      Getting target version for striped
        dm versions   O
  Invalid stripe size 16
  lvcreate: Create a logical volume

lvcreate
        [-A|--autobackup {y|n}]
        [--addtag Tag]
        [--alloc AllocationPolicy]
        [-C|--contiguous {y|n}]
        [-d|--debug]
        [-h|-?|--help]
        [-i|--stripes Stripes [-I|--stripesize StripeSize]]
        {-l|--extents LogicalExtentsNumber |
         -L|--size LogicalVolumeSize[kKmMgGtT]}
        [-M|--persistent {y|n}] [--major major] [--minor minor]
        [-m|--mirrors Mirrors]
        [-n|--name LogicalVolumeName]
        [-p|--permission {r|rw}]
        [-r|--readahead ReadAheadSectors]
        [-R|--regionsize MirrorLogRegionSize]
        [-t|--test]
        [--type VolumeType]
        [-v|--verbose]
        [-Z|--zero {y|n}]
        [--version]
        VolumeGroupName [PhysicalVolumePath...]

lvcreate -s|--snapshot
        [-c|--chunksize]
        [-A|--autobackup {y|n}]
        [--addtag Tag]
        [--alloc AllocationPolicy]
        [-C|--contiguous {y|n}]
        [-d|--debug]
        [-h|-?|--help]
        [-i|--stripes Stripes [-I|--stripesize StripeSize]]
        {-l|--extents LogicalExtentsNumber |
         -L|--size LogicalVolumeSize[kKmMgGtT]}
        [-M|--persistent {y|n}] [--major major] [--minor minor]
        [-n|--name LogicalVolumeName]
        [-p|--permission {r|rw}]
        [-r|--readahead ReadAheadSectors]
        [-t|--test]
        [-v|--verbose]
        [--version]
        OriginalLogicalVolume[Path] [PhysicalVolumePath...]


## Again with stripesize == 16   <-- works

[root@link-13 STS]#  lvcreate -l 168 --stripes 8 --stripesize 16 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        Processing: lvcreate -l 168 --stripes 8 --stripesize 16 -n
stripe_8_4096_40 stripe_8_4096_4 -vvv
        O_DIRECT will be used
      Setting global/locking_type to 2
      Setting global/locking_library to liblvm2clusterlock.so
      Setting global/library_dir to /usr/lib
      Opening shared locking library /usr/lib/liblvm2clusterlock.so
    Loaded external locking library liblvm2clusterlock.so
      External locking enabled.
      Getting target version for linear
        dm version   O
        dm versions   O
      Getting target version for striped
        dm versions   O
      Setting activation/mirror_region_size to 512
      Locking V_stripe_8_4096_4 at 0x4
lvcreate(31748): unaligned access to 0x600000000002c369, ip=0x2000000003109ba0
    Finding volume group "stripe_8_4096_4"
        /dev/ramdisk: Not using O_DIRECT
        Opened /dev/ramdisk RW
        /dev/ramdisk: block size is 1024 bytes
      /dev/ramdisk: No label detected
        Closed /dev/ramdisk
        /dev/ram: Not using O_DIRECT
        Opened /dev/ram RW
        /dev/ram: block size is 1024 bytes
      /dev/ram: No label detected
        Closed /dev/ram
        Opened /dev/sda1 RW O_DIRECT
        /dev/sda1: block size is 512 bytes
      /dev/sda1: No label detected
        Closed /dev/sda1
        /dev/ram2: Not using O_DIRECT
        Opened /dev/ram2 RW
        /dev/ram2: block size is 1024 bytes
      /dev/ram2: No label detected
        Closed /dev/ram2
        Opened /dev/root RW O_DIRECT
        /dev/root: block size is 4096 bytes
      /dev/root: No label detected
        Closed /dev/root
        /dev/ram3: Not using O_DIRECT
        Opened /dev/ram3 RW
        /dev/ram3: block size is 1024 bytes
      /dev/ram3: No label detected
        Closed /dev/ram3
        Opened /dev/sda3 RW O_DIRECT
        /dev/sda3: block size is 16384 bytes
      /dev/sda3: No label detected
        Closed /dev/sda3
        /dev/ram4: Not using O_DIRECT
        Opened /dev/ram4 RW
        /dev/ram4: block size is 1024 bytes
      /dev/ram4: No label detected
        Closed /dev/ram4
        /dev/ram5: Not using O_DIRECT
        Opened /dev/ram5 RW
        /dev/ram5: block size is 1024 bytes
      /dev/ram5: No label detected
        Closed /dev/ram5
        /dev/ram6: Not using O_DIRECT
        Opened /dev/ram6 RW
        /dev/ram6: block size is 1024 bytes
      /dev/ram6: No label detected
        Closed /dev/ram6
        /dev/ram7: Not using O_DIRECT
        Opened /dev/ram7 RW
        /dev/ram7: block size is 1024 bytes
      /dev/ram7: No label detected
        Closed /dev/ram7
        /dev/ram8: Not using O_DIRECT
        Opened /dev/ram8 RW
        /dev/ram8: block size is 1024 bytes
      /dev/ram8: No label detected
        Closed /dev/ram8
        /dev/ram9: Not using O_DIRECT
        Opened /dev/ram9 RW
        /dev/ram9: block size is 1024 bytes
      /dev/ram9: No label detected
        Closed /dev/ram9
        /dev/ram10: Not using O_DIRECT
        Opened /dev/ram10 RW
        /dev/ram10: block size is 1024 bytes
      /dev/ram10: No label detected
        Closed /dev/ram10
        /dev/ram11: Not using O_DIRECT
        Opened /dev/ram11 RW
        /dev/ram11: block size is 1024 bytes
      /dev/ram11: No label detected
        Closed /dev/ram11
        /dev/ram12: Not using O_DIRECT
        Opened /dev/ram12 RW
        /dev/ram12: block size is 1024 bytes
      /dev/ram12: No label detected
        Closed /dev/ram12
        /dev/ram13: Not using O_DIRECT
        Opened /dev/ram13 RW
        /dev/ram13: block size is 1024 bytes
      /dev/ram13: No label detected
        Closed /dev/ram13
        /dev/ram14: Not using O_DIRECT
        Opened /dev/ram14 RW
        /dev/ram14: block size is 1024 bytes
      /dev/ram14: No label detected
        Closed /dev/ram14
        /dev/ram15: Not using O_DIRECT
        Opened /dev/ram15 RW
        /dev/ram15: block size is 1024 bytes
      /dev/ram15: No label detected
        Closed /dev/ram15
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        lvmcache: /dev/sdb1 now orphaned
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        lvmcache: /dev/sdb1 now in VG stripe_8_4096_4
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        lvmcache: /dev/sdb2 now orphaned
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        lvmcache: /dev/sdb2 now in VG stripe_8_4096_4
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        lvmcache: /dev/sdc1 now orphaned
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        lvmcache: /dev/sdc1 now in VG stripe_8_4096_4
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        lvmcache: /dev/sdc2 now orphaned
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        lvmcache: /dev/sdc2 now in VG stripe_8_4096_4
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        lvmcache: /dev/sdd1 now orphaned
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        lvmcache: /dev/sdd1 now in VG stripe_8_4096_4
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        lvmcache: /dev/sdd2 now orphaned
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        lvmcache: /dev/sdd2 now in VG stripe_8_4096_4
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        lvmcache: /dev/sde1 now orphaned
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        lvmcache: /dev/sde1 now in VG stripe_8_4096_4
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        lvmcache: /dev/sde2 now orphaned
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        lvmcache: /dev/sde2 now in VG stripe_8_4096_4
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdb1 at 16896 size 1512
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
      /dev/sdb2: lvm2 label detected
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdb2 at 16896 size 1512
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
      /dev/sdc1: lvm2 label detected
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdc1 at 16896 size 1512
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
      /dev/sdc2: lvm2 label detected
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdc2 at 16896 size 1512
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
      /dev/sdd1: lvm2 label detected
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdd1 at 16896 size 1512
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
      /dev/sdd2: lvm2 label detected
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sdd2 at 16896 size 1512
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
      /dev/sde1: lvm2 label detected
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
      /dev/sde2: lvm2 label detected
        Closed /dev/sde2
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Closed /dev/sde2
        Read stripe_8_4096_4 metadata (1) from /dev/sde1 at 16896 size 1512
        Closed /dev/sde1
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
      /dev/sdb1: lvm2 label detected
        Closed /dev/sdb1
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Closed /dev/sdb1
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
      /dev/sdb2: lvm2 label detected
        Closed /dev/sdb2
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Closed /dev/sdb2
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
      /dev/sdc1: lvm2 label detected
        Closed /dev/sdc1
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Closed /dev/sdc1
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
      /dev/sdc2: lvm2 label detected
        Closed /dev/sdc2
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Closed /dev/sdc2
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
      /dev/sdd1: lvm2 label detected
        Closed /dev/sdd1
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Closed /dev/sdd1
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
      /dev/sdd2: lvm2 label detected
        Closed /dev/sdd2
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Closed /dev/sdd2
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
      /dev/sde1: lvm2 label detected
        Closed /dev/sde1
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Closed /dev/sde1
      /dev/sde2: lvm2 label detected
        Read stripe_8_4096_4 metadata (1) from /dev/sde2 at 16896 size 1512
        Closed /dev/sde2
        /dev/sdb1 0:      0     33: NULL(0:0)
        /dev/sdb2 0:      0     33: NULL(0:0)
        /dev/sdc1 0:      0     21: NULL(0:0)
        /dev/sdc2 0:      0     21: NULL(0:0)
        /dev/sdd1 0:      0     29: NULL(0:0)
        /dev/sdd2 0:      0     29: NULL(0:0)
        /dev/sde1 0:      0     29: NULL(0:0)
        /dev/sde2 0:      0     29: NULL(0:0)
    Archiving volume group "stripe_8_4096_4" metadata (seqno 1).
    Creating logical volume stripe_8_4096_40
        Allowing allocation on /dev/sdb1 start PE 0 length 33
        Allowing allocation on /dev/sdb2 start PE 0 length 33
        Allowing allocation on /dev/sdc1 start PE 0 length 21
        Allowing allocation on /dev/sdc2 start PE 0 length 21
        Allowing allocation on /dev/sdd1 start PE 0 length 29
        Allowing allocation on /dev/sdd2 start PE 0 length 29
        Allowing allocation on /dev/sde1 start PE 0 length 29
        Allowing allocation on /dev/sde2 start PE 0 length 29
        /dev/sdb1 0:      0     21: stripe_8_4096_40(0:0)
        /dev/sdb1 1:     21     12: NULL(0:0)
        /dev/sdb2 0:      0     21: stripe_8_4096_40(0:1)
        /dev/sdb2 1:     21     12: NULL(0:0)
        /dev/sdc1 0:      0     21: stripe_8_4096_40(0:6)
        /dev/sdc2 0:      0     21: stripe_8_4096_40(0:7)
        /dev/sdd1 0:      0     21: stripe_8_4096_40(0:2)
        /dev/sdd1 1:     21      8: NULL(0:0)
        /dev/sdd2 0:      0     21: stripe_8_4096_40(0:3)
        /dev/sdd2 1:     21      8: NULL(0:0)
        /dev/sde1 0:      0     21: stripe_8_4096_40(0:4)
        /dev/sde1 1:     21      8: NULL(0:0)
        /dev/sde2 0:      0     21: stripe_8_4096_40(0:5)
        /dev/sde2 1:     21      8: NULL(0:0)
        Opened /dev/sdb1 RW O_DIRECT
        /dev/sdb1: block size is 512 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdb1 at 18432 len 1852
        Opened /dev/sdb2 RW O_DIRECT
        /dev/sdb2: block size is 1024 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdb2 at 18432 len 1852
        Opened /dev/sdc1 RW O_DIRECT
        /dev/sdc1: block size is 512 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdc1 at 18432 len 1852
        Opened /dev/sdc2 RW O_DIRECT
        /dev/sdc2: block size is 2048 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdc2 at 18432 len 1852
        Opened /dev/sdd1 RW O_DIRECT
        /dev/sdd1: block size is 512 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdd1 at 18432 len 1852
        Opened /dev/sdd2 RW O_DIRECT
        /dev/sdd2: block size is 4096 bytes
        Writing stripe_8_4096_4 metadata to /dev/sdd2 at 18432 len 1852
        Opened /dev/sde1 RW O_DIRECT
        /dev/sde1: block size is 512 bytes
        Writing stripe_8_4096_4 metadata to /dev/sde1 at 18432 len 1852
        Opened /dev/sde2 RW O_DIRECT
        /dev/sde2: block size is 4096 bytes
        Writing stripe_8_4096_4 metadata to /dev/sde2 at 18432 len 1852
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdb1 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdb2 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdc1 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdc2 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdd1 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sdd2 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sde1 header at 16384
        Pre-Committing stripe_8_4096_4 metadata (2) to /dev/sde2 header at 16384
    Creating volume group backup "/etc/lvm/backup/stripe_8_4096_4" (seqno 2).
        Writing stripe_8_4096_4 metadata to
/etc/lvm/backup/.lvm_link-13_31748_761020287
        Committing stripe_8_4096_4 metadata (2)
        Renaming /etc/lvm/backup/stripe_8_4096_4.tmp to
/etc/lvm/backup/stripe_8_4096_4
        Committing stripe_8_4096_4 metadata (2) to /dev/sdb1 header at 16384
        Closed /dev/sdb1
        Committing stripe_8_4096_4 metadata (2) to /dev/sdb2 header at 16384
        Closed /dev/sdb2
        Committing stripe_8_4096_4 metadata (2) to /dev/sdc1 header at 16384
        Closed /dev/sdc1
        Committing stripe_8_4096_4 metadata (2) to /dev/sdc2 header at 16384
        Closed /dev/sdc2
        Committing stripe_8_4096_4 metadata (2) to /dev/sdd1 header at 16384
        Closed /dev/sdd1
        Committing stripe_8_4096_4 metadata (2) to /dev/sdd2 header at 16384
        Closed /dev/sdd2
        Committing stripe_8_4096_4 metadata (2) to /dev/sde1 header at 16384
        Closed /dev/sde1
        Committing stripe_8_4096_4 metadata (2) to /dev/sde2 header at 16384
        Closed /dev/sde2
      Locking EfaAFqjKPP4q06EIHw36S2VHT6lqnt5CdgNYMGFa0XGbrl5OVF7vF8rGSC4l7a4m
at 0x19
    Zeroing start of logical volume "stripe_8_4096_40"
        /dev/stripe_8_4096_4/stripe_8_4096_40: Added to device cache
        Opened /dev/stripe_8_4096_4/stripe_8_4096_40 RW O_DIRECT
        Wiping /dev/stripe_8_4096_4/stripe_8_4096_40 at sector 0 length 8 sectors
        /dev/stripe_8_4096_4/stripe_8_4096_40: block size is 16384 bytes
        Closed /dev/stripe_8_4096_4/stripe_8_4096_40
    Creating volume group backup "/etc/lvm/backup/stripe_8_4096_4" (seqno 2).
        Writing stripe_8_4096_4 metadata to
/etc/lvm/backup/.lvm_link-13_31748_872900725
        Committing stripe_8_4096_4 metadata (2)
        Renaming /etc/lvm/backup/stripe_8_4096_4.tmp to
/etc/lvm/backup/stripe_8_4096_4
  Logical volume "stripe_8_4096_40" created
      Locking V_stripe_8_4096_4 at 0x6
Comment 1 Corey Marthaler 2005-08-17 16:31:36 EDT
stripesizes of 4 8 and 16 worked x86_64, however nothing work above 512.

[root@link-08 ~]# pvscan
  PV /dev/sdd1   VG corey        lvm2 [67.83 GB / 67.83 GB free]
  PV /dev/sdd2   VG corey        lvm2 [67.83 GB / 67.83 GB free]
  PV /dev/sde1   VG corey        lvm2 [135.66 GB / 85.66 GB free]
  PV /dev/sde2   VG corey        lvm2 [135.66 GB / 85.66 GB free]

[root@link-08 ~]# vgdisplay
  --- Volume group ---
  VG Name               corey
  System ID
  Format                lvm2
  Metadata Areas        4
  Metadata Sequence No  29
  VG Access             read/write
  VG Status             resizable
  MAX LV                0
  Cur LV                1
  Open LV               0
  Max PV                0
  Cur PV                4
  Act PV                4
  VG Size               406.99 GB
  PE Size               4.00 MB
  Total PE              104190
  Alloc PE / Size       25600 / 100.00 GB
  Free  PE / Size       78590 / 306.99 GB
  VG UUID               Xr4I94-Z3S9-6UuW-k2gx-dPtM-gEiV-GXfECd

[root@link-08 ~]# lvcreate -L 100G --stripes 2 --stripesize 4 -n
stripe_8_4096_40 corey
  Logical volume "stripe_8_4096_40" created
[root@link-08 ~]# lvremove  -f  /dev/corey/stripe_8_4096_40
  Logical volume "stripe_8_4096_40" successfully removed
[root@link-08 ~]# lvcreate -L 100G --stripes 2 --stripesize 8 -n
stripe_8_4096_40 corey
  Logical volume "stripe_8_4096_40" created
[root@link-08 ~]# lvremove  -f  /dev/corey/stripe_8_4096_40
  Logical volume "stripe_8_4096_40" successfully removed
[root@link-08 ~]# lvcreate -L 100G --stripes 2 --stripesize 16 -n
stripe_8_4096_40 corey
  Logical volume "stripe_8_4096_40" created
Comment 2 Alasdair Kergon 2005-08-18 10:52:26 EDT
According to the code, machine page size <= stripe size <= 512KB

The error messages need tidying (e.g. append 'sectors').

And the restriction should be reviewed (mixed cluster?)
Comment 5 Milan Broz 2010-07-07 04:54:53 EDT
Seems this was fixed by later changes, at least I cannot reproduce it on rhel4.8.

Note You need to log in before you can comment on or make changes to this bug.